Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.rmi.server
Class RMISocketFactory

    java.lang.Object
      |
      +--weblogic.rmi.server.RMISocketFactory

public abstract class RMISocketFactory
extends java.lang.Object

This abstract class is provided strictly for compatibility with java.rmi.*

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`RMISocketFactory()`

Method Summary
`abstract java.net.ServerSocket` | `createServerSocket(int i)`
`abstract java.net.Socket` | `createSocket(java.lang.String string, int i)`
`static RMIFailureHandler` | `getFailureHandler()`
`static RMISocketFactory` | `getSocketFactory()`
`static void` | `setFailureHandler(RMIFailureHandler rMIFailureHandler)`
`static void` | `setSocketFactory(RMISocketFactory rMISocketFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMISocketFactory

    public RMISocketFactory()

Method Detail

### createSocket

    public abstract java.net.Socket createSocket(java.lang.String string,
                                                 int i)
                                          throws java.io.IOException

### createServerSocket

    public abstract java.net.ServerSocket createServerSocket(int i)
                                                      throws java.io.IOException

### setSocketFactory

    public static void setSocketFactory(RMISocketFactory rMISocketFactory)
                                 throws java.io.IOException

### getSocketFactory

    public static RMISocketFactory getSocketFactory()

### setFailureHandler

    public static void setFailureHandler(RMIFailureHandler rMIFailureHandler)

### getFailureHandler

    public static RMIFailureHandler getFailureHandler()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD